@import url('../open-iconic/font/css/open-iconic-bootstrap.min.css');
:root {
    --blue: #3c5dc4;
    --black: #000000;
    --white: #ffffff;
    --grayfiftyp: #757575;
    --graythirtyp: #AAAAAA;
    --graytwentyfivep: #B7B7B7;
    --graytwentyp: #C5C5C5;
    --grayfifteenp: #D8D8D8;
    --graytenp: #E1E1E1;
    --grayfivep: #F5F5F5;
    --radius: 5px;
    --maincolor: purple;
    --closecolor: white;
    --light70: #b3b3b3;
    --light50: #808080;
    --gold: #ffcf57;
    --gold-light: #ffdf8f;
    --gold-lightest: #ffefc7;
    --plum: #953653;
    --plum-dark: #650b34;
    --plum-darkest: #4c294c;
    --main-font-family: 'MavenPro-Regular';
 
}
@media (min-width: 1281px) and (max-width: 1440px) {
    .input-small {
        width: 125px; /* slightly smaller to fit row */
        min-width: 100px; /* safeguard to avoid too tiny */
    }

    .input-225 {
        width: 140px; /* reduced so row fits */
        min-width: 125px; /* safeguard so it doesn't shrink too far */
    }
}

@media (min-width: 1025px) and (max-width: 1280px) {
    .HideItem {
        display: none;
    }

    .input-small {
        width: 110px; /* slightly smaller to fit row */
        min-width: 100px; /* safeguard to avoid too tiny */
    }

    .input-225 {
        width: 110px; /* reduced so row fits */
        min-width: 100px; /* safeguard so it doesn't shrink too far */
    }

    .TopRow {
        display: flex;
        flex-wrap: wrap !important;
    }
}

@media (min-width: 768px) and (max-width: 1024px) {
    .HideItem {
        display: none;
    }

    .input-small {
        width: 110px; /* slightly smaller to fit row */
        min-width: 100px; /* safeguard to avoid too tiny */
    }

    .input-225 {
        width: 110px; /* reduced so row fits */
        min-width: 100px; /* safeguard so it doesn't shrink too far */
    }

    .TopRow {
        display: flex;
        flex-wrap: wrap !important;
    }
}
@media (min-width: 0px) and (max-width: 767px) {
    .HideItem {
        display: none;
    }

    .input-small {
        width: 110px; /* slightly smaller to fit row */
        min-width: 100px; /* safeguard to avoid too tiny */
    }

    .input-225 {
        width: 110px; /* reduced so row fits */
        min-width: 100px; /* safeguard so it doesn't shrink too far */
    }

    .TopRow {
        display: flex;
        flex-wrap: wrap !important;
    }
}
.navbar-toggler:focus {
    outline: none !important;
}

.navbar-toggler:focus-visible {
    outline: none !important;
}
.menuiconsize {
    font-size: 24px;
}
@media (prefers-reduced-motion:reduce) {
    .spin {
        -webkit-animation: spin 1s infinite linear !important;
    }

    @-moz-keyframes spin {
        from {
            -moz-transform: rotate(0deg);
        }

        to {
            -moz-transform: rotate(360deg);
        }
    }

    @keyframes spin {
        from {
            transform: rotate(0deg);
        }

        to {
            transform: rotate(360deg);
        }
    }

    @-webkit-keyframes spin {
        from {
            -webkit-transform: rotate(0deg);
        }

        to {
            -webkit-transform: rotate(360deg);
        }
    }
}

.navcolor {
    color: black;
}
.paddingtopfive {
    padding-top: 5px;
}
.navbar-dark, .navbar-brand {
    color: var(--plum);
}
.windowcolor .k-window-titlebar {
    background: #404040 !important;
}

.windowcolor {
    background: #404040 !important;
}
@font-face {
    font-family: 'MavenPro-Regular';
    src: url(../../fonts/MavenPro-Regular.ttf);
    font: 14px /18px;
}
.k-grid-header .k-grid-filter.k-active, .k-grid-header .k-header-column-menu.k-active, .k-grid-header .k-hierarchy-cell .k-icon.k-active {
    background-color: var(--maincolor);
}
.k-i-sort-desc-sm, .k-i-sort-asc-sm {
    color: var(--maincolor) !important;
}
@font-face {
    font-family: 'MavenPro-Bold';
    src: url(../../fonts/MavenPro-Bold.ttf);
    font: 14px /18px;
}
@font-face {
    font-family: 'Rubik-Regular';
    src: url(../../fonts/Rubik-Regular.ttf);
    font: 22px /24px;
}
.maincolor{
    color:var(--maincolor);
}
html, body {
    font-family: 'MavenPro-Regular','Helvetica Neue', Helvetica, Arial, sans-serif;
    font-size: 16px;
    line-height: 18px;
    color: #000;
}
.header{
    color:var(--maincolor) !important;
}
h1 {
    font-family: 'Rubik-Regular','Helvetica Neue', Helvetica, Arial, sans-serif;
    font-size: 22px;
    line-height: 24px;
    color: black;

}
a, .btn-link {
    color: #0366d6;
}
.k-button-primary{
    border-color: white !important;
}
.treenav {
    overflow-x: hidden !important;
    height: 95vh;
    background: #404040;
    overflow-y: auto;
    margin: 0px;
}
.threadexplorertree {
   /* overflow-x: hidden !important;*/
    height: 500px;
    background: #404040;
    /*overflow-y: hidden;*/
    margin: 0px;
}
.underline-on-hover {
   font-family:MavenPro-Bold,'Franklin Gothic Medium', 'Arial Narrow', Arial, sans-serif;
   font-size:14px;
   line-height:18px;
   color:var(--blue)!important;
   
}
    .underline-on-hover:hover {
        text-decoration: underline !important;
    }
.k-dropdown-wrap, .k-default {
    border-color: rgba(0, 0, 0, 0.08)!important;
    color: var(--black)!important;
    background-color: var(--white)!important;
    background-image: linear-gradient(rgba(0, 0, 0, 0), rgba(0, 0, 0, 0.02))!important;
    border-radius: var(--radius)!important;
}
.btn-reveal, .k-button {
    background: var(--white) !important;
    border-radius: var(--radius);
    box-shadow: none;
    border: 0;
    color: var(--blue) !important;
    border-color: white !important;
}
.k-list .k-item.k-selected, .k-list-optionlabel.k-selected{
    background:var(--maincolor) !important;
}
.k-pager-numbers, .k-link.k-selected {
    color: var(--black) !important;
    background-color: var(--white) !important;
    font-family: MavenPro-Bold !important;
}
    .text-primary{
    color: var(--blue) !important;
}
.k-column-title, th {
    font-family: 'MavenPro-Bold'!important;
    font-size:14px!important;
    line-height:18px!important;
}
.bg-plum{
    background:var(--maincolor);
}
.k-loader{
    color: var(--maincolor) !important;
}
.documentgridformatting {
    padding: 2px;
    box-shadow: 0 2px 2px rgba(0, 0, 0, 0.15);
    border: none;
    border-radius: 5px;
    min-height: 100% !important;
}

    .documentgridformatting:hover {
        padding: 2px;
        box-shadow: 0 2px 2px rgba(0, 0, 0, 0.15);
        border: none;
        border-radius: 5px;
        min-height: 100% !important;
    }
/*.form-control:focus {
    outline-color: var(--plum) !important;
    color: var(--black) !important;
    border: var(--plum) !important;
    border-color: var(--plum) !important;
    box-shadow: 0 0 5px rgba(149, 54, 83, 1) !important;
}*/
input[type=text]::selection, .k-textbox::selection, .k-textbox .k-input::selection {
    background-color: var(--maincolor) !important;
    color: white;
}
.btn-plum, .btn-plum:active, .btn-plum:focus {
    background: var(--grayfiftyp) !important;
    border-radius: var(--radius);
    color: white;
    box-shadow: 0 3px 3px 0 rgba(255,255,255,0.3) !important;
    border: 2px solid white;
}
.btn-plum:hover {
    background: var(--grayfiftyp);
    border: 0;
    opacity: 0.7;
    color:white;
}
.btn-primary, .btn-primary:active, .btn-primary:focus {
    background: var(--maincolor) !important;
    border-radius: var(--radius);
    box-shadow: none;
    border: 0;
    color:white!important;
}
    .btn-primary:hover {
        background: var(--maincolor);
        border: 0;
        opacity: 0.7;
    }
app {
    position: relative;
    display: flex;
    flex-direction: column;
}

.k-grid td.k-selected, .k-grid tr.k-selected > td {
   /* background-color: var(--plum) !important;
    color: white !important;*/
}
.k-treeview .k-in.k-selected {
    background-color: var(--blue) !important;
    color: white !important;
}
.k-treeview .k-item{
   /* color:var(--light70);*/
}
/*.k-treeview .k-item  :hover{
   background-color:var(--light50) !important;
}*/
html body app div.k-dialog-wrapper div.k-widget.k-window.k-window-wrapper.telerik-blazor.demo-window div.k-window-titlebar.k-dialog-titlebar.k-header div.k-window-actions button.k-flat.k-button.telerik-blazor.k-icon-button span.k-icon.k-i-close {
    color: var(--white) !important;
}
.k-checkbox:checked, .k-checkbox.k-checked {
    border-color: var(--maincolor) !important;
    color: #ffffff !important;
    background-color: var(--maincolor) !important;
}

.form-control {
    border-radius: var(--radius);
    font-size: 1rem;
    height: auto;
}

    .form-control:focus {
        border-color: var(--maincolor);
        box-shadow: none;
    }

    .form-control:hover {
        border-color: inherit;
    }
.k-window-titlebar {
    border-color: inherit;
    color: var(--white) !important;
    background-color: var(--grayfiftyp) !important;
}
.k-window {
    border-color: rgba(117,117,117,0.3)!important;
    color: var(--white)!important;
    background-color: var(--grayfiftyp)!important;
    box-shadow: 0 3px 3px 0 rgba(117,117,117,0.3) !important;
    border-radius: var(--radius) !important;
}
.k-grid td.k-selected, .k-grid tr.k-selected > td {
    background-color: #dee5ff;
    color: #000;
}

.k-grid tr.k-alt {
    background-color: #F0F8FF;
}

.k-treeview .k-in.k-selected {
    border-radius: 5px;
}

.k-treeview .k-item {
    color: #000;
}

.k-treeview-lines {
    margin: 0;
    padding: 0 15px;
}

.main {
    background: #f4f4f4;
}

    .main .top-row {
        background-color: #fff;
        border: 0;
    }

.sidebar .top-row {
    background-color: #fff;
}

    .sidebar .top-row .k-icon {
        color: rgba(0, 0, 0, 0.3);
    }

.treenav {
    background: #f4f4f4;
    height: 94vh;
}
.threadexplorertree {
    background: #f4f4f4;
    height: 500px;
}

    .k-window:focus, .k-window.k-focused {
        box-shadow: 1px 1px 7px 1px rgba(117,117,117,0.3) !important;
    }
html body app div.k-dialog-wrapper div.k-widget.k-window.k-window-wrapper.telerik-blazor.k-centered.demo-window div.k-window-titlebar.k-dialog-titlebar.k-header div.k-window-actions button.k-flat.k-button.telerik-blazor.k-icon-button {
    color: var(--white) !important;
}
html body app div.main div.content.px-4 div.k-grid.k-widget.telerik-blazor div.k-pager-wrap.k-widget.k-floatwrap.telerik-blazor.k-grid-pager div.k-pager-numbers-wrap ul.k-pager-numbers li a.k-link {
    color: var(--maincolor);
    font-family: MavenPro-Regular !important;
}
.k-pager-numbers .k-link {
    color: var(--maincolor);
    font-family: MavenPro-Regular !important;
}
.k-pager-numbers .k-link:hover {
    color: white !important;
    background:var(--grayfiftyp)!important;
    font-family: MavenPro-Regular !important;
}
.k-treeview {
    color: var(--light70) !important;
}
        .top-row {
    height: 3.5rem;
    display: flex;
    align-items: center;
}

.main {
    flex: 1;
}

    .main .top-row {
        background-color: #404040;
        border-bottom: 1px solid #d6d5d5;
        justify-content: flex-end;
    }

        .main .top-row > a, .main .top-row .btn-link {
            white-space: nowrap;
            margin-left: 1.5rem;
        }

.main .top-row a:first-child {
    overflow: hidden;
    text-overflow: ellipsis;
}
.k-drawer{
    background:var(--plum-dark);
   
}
.k-drawer-expanded{
    height:100vh;
}
.sidebar{
    background: var(--maincolor);
}

    .sidebar .top-row {
        background:#404040; 
        font-family: Rubik-Regular,sans-serif;
        font-size:22px;
        line-height:24px;
        color:black;
    }

    .sidebar .navbar-brand {
        font-size: 1.1rem;
    }

    .sidebar .oi {
        width: 2rem;
        font-size: 1.1rem;
        vertical-align: text-top;
        top: -2px;
    }

    .sidebar .nav-item {
        font-size: 0.9rem;
        padding-bottom: 0.5rem;
    }

        .sidebar .nav-item:first-of-type {
            padding-top: 1rem;
        }

        .sidebar .nav-item:last-of-type {
            padding-bottom: 1rem;
        }

        .sidebar .nav-item a, .k-drawer-item, .k-drawer-item .nav-link {
            color: var(--white);
            border-radius: 4px;
            height: 3rem;
            display: flex;
            align-items: center;
            line-height: 3rem;
            font-family: MavenPro-Regular;
            font-size: 14px;
        }
            .k-drawer-item.k-selected {
                background-color: #843C5D !important;
                color: var(--gold-light) !important;
            }
            .sidebar .nav-item a.active, .k-drawer-item .k-selected, .k-drawer-item .k-selected .nav-link .active {
                background-color: #843C5D !important;
                color: var(--gold-light) !important;
            }

            .sidebar .nav-item a:hover, .k-drawer-item:hover {
                /* background-color: var(--grayfifteenp);*/
                background: rgba(255, 255, 255, 0.1);
                color: #fff;
            }

.content {
    padding-top: 1.1rem;
}

.navbar-toggler {
    background-color: rgba(255, 255, 255, 0.1);
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid red;
}

.validation-message {
    color: red;
}

#blazor-error-ui {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

#blazor-error-ui .dismiss {
    cursor: pointer;
    position: absolute;
    right: 0.75rem;
    top: 0.5rem;
}
/*Hide Spreadsheet Sorting Menu in FireFox*/
html.k-ff.k-ff101.hydrated body div.k-animation-container div.k-spreadsheet-filter-menu.k-popup.k-group.k-reset.k-border-up ul.k-widget.k-reset.k-menu.k-menu-vertical li.k-item.k-menu-item.k-first {
    display: none;
}

html.k-ff.k-ff101.hydrated body div.k-animation-container div.k-spreadsheet-filter-menu.k-popup.k-group.k-reset.k-border-up ul.k-widget.k-reset.k-menu.k-menu-vertical li.k-item.k-menu-item.k-last {
    display: none;
}
/*Hide Spreadsheet Sorting Menu in FireFox*/
li[data-command="sort"] {
    display: none!important;
}
/*Dock Panel Css*/
igc-dockmanager::part(pane-header) {
    min-height: 15px !important;
    height: 15px !important;
    background: var(--maincolor) !important;
    color: white !important;
    padding: 0px;
}

igc-dockmanager::part(pane-header-actions) {
    background: white !important;
}

igc-dockmanager::part(floating) {
    min-height: 15px !important;
    background: var(--maincolor) !important;
    color: white !important;
    padding: 0px;
}

igc-dockmanager::part(tab-strip-area) {
    min-height: 10px !important;
    height: 10px !important;
    background: var(--maincolor) !important;
    color: white !important;
    padding: 0px;
}
#dockManager {
    height: 96vh;
}
.k-spreadsheet-sheets-remove {
    display: none !important;
}

.k-spreadsheet {
    width: 100% !important;
    height: 96vh;
}

#duplicatespreadsheet .k-spreadsheet {
    width: 100% !important;
    height: 580px !important;
}

#redactedspreadsheet .k-spreadsheet {
    width: 100% !important;
    height: 580px !important;
}



.k-grid-norecords {
    height: 25px !important;
}

    .k-grid-norecords td:nth-child(1) {
        display: none !important;
    }
.partialredaction {
    color: red;
    text-decoration: line-through;
}

.gridtable {
    display: table !important;
    overflow-x: scroll !important;
}

.center-first-column th:first-child,
.center-first-column td:first-child {
    text-align: center;
}

.width-first-column th:first-child,
.width-first-column td:first-child {
    width: 40px;
    text-align: center;
}

.k-editor > .k-toolbar {
    display: none;
}

.fiftypercentwidth {
    width: 50% !important;
}

.explorerwindow .k-window-content {
    padding: 4px !important;
    border: 2px solid var(--maincolor) !important;
}

.k-i-close {
    color: var(--closecolor) !important;
}


.k-i-window-restore, .k-i-window-maximize {
    color: var(--closecolor) !important;
}



.k-menu-link:hover {
    color: white !important;
    text-decoration: none;
    outline: 0;
    background: var(--maincolor) !important;
    cursor: pointer;
}

.bigtextbox {
    width: 450px !important;
}

.demo-window {
    z-index: 44444;
    border: 1px solid var(--maincolor) !important;
    box-shadow: 0px 0px 5px var(--maincolor) !important;
    max-height: 900px;
}

.duplicatesheetwindow {
    z-index: 999;
    border: 1px solid var(--maincolor) !important;
    box-shadow: 0px 0px 5px var(--maincolor) !important;
    max-height: 600px !important;
}

.find-window {
    z-index: 999;
    border: 1px solid var(--maincolor) !important;
    box-shadow: 0px 0px 5px var(--maincolor) !important;
    max-height: 900px;
}

.DuplicateLoader {
    z-index: 1000;
}

.image-window {
    z-index: 44444;
    border: 1px solid var(--maincolor) !important;
    box-shadow: 0px 0px 5px var(--maincolor) !important;
}

.k-dialog {
    z-index: 10099 !important;
}

.gssearchitemrecord .k-icons {
    font-size: 12px;
}

.k-loader-container-label {
    color: var(--maincolor) !important;
}

.fixed-textarea-class {
    height: 100px;
    min-height: 100px;
    resize: none;
    width: 100%;
    border-color: rgba(0, 0, 0, 0.16);
}

    .fixed-textarea-class:focus, .k-textbox.k-focus, .k-textbox.k-focused, .fixed-textarea-class:focus-visible {
        border-color: rgba(0, 0, 0, 0.16);
        outline-color: rgba(0, 0, 0, 0.16);
    }

.file-input-zone {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    background-color: var(--maincolor);
    color: white;
    cursor: pointer;
    position: relative;
    width: 5rem;
   /* height: 1.5rem;*/
    font-size: 12px;
   /* border-radius: var(--radius);*/
}

    .file-input-zone:hover {
        opacity: 0.7;
    }

    .file-input-zone input[type=file] {
        position: absolute;
        width: 100%;
        height: 100%;
        opacity: 0;
        cursor: pointer;
    }

.LoaderElement {
    position: fixed;
    top: 50%;
    left: 50%;
    z-index: 999;
}

.SheetLoader {
    position: fixed;
    top: 10%;
    bottom:50%;
    left: 50%;
    z-index: 999;
}

.hidden {
    display: none;
}


.smallfont {
    font-weight: 500;
    font-size: 12px;
    width: 100%;
}

.smfont {
    font-weight: 500;
    font-size: 12px;
}

.box {
    width: 15px;
    height: 15px;
    border: solid;
    border-block-color: black;
    border-width: thin;
    opacity: 0.5;
}

.TopRow {
    background: #f7f7f7;
    width: 100vw;
}

.k-tabstrip-prev .k-tabstrip-next {
    background-color: white !important;
    color: var(--maincolor) !important;
}

.k-spreadsheet-sheets-bar-active {
    background-color: var(--maincolor) !important;
    color: white !important;
}

.HeaderMenu {
    display: table-cell;
    padding: 0px;
    vertical-align: top;
}

    .HeaderMenu .k-link {
        padding: 0px 4px 0px 0px;
        width: 100%;
    }

.checkboxcenter {
    vertical-align: middle !important;
    text-align: center !important;
}




.gridtable .k-virtual-content {
    overflow-y: hidden !important;
    overflow-x: hidden !important;
}

.gridtable .k-grid-content {
    overflow-y: hidden !important;
    overflow-x: hidden !important;
}

.iconbig {
    font-size: 32px;
}

.OverFlowWindow {
    overflow-x: auto !important;
}

#exolutionframe {
    display: none;
}
.windowtitle {
    color: var(--closecolor);
    padding-left: 16px;
    padding-right: 16px;
}

.windowtabletitle {
    color: black;
    padding-left: 16px;
    padding-right: 16px;
}
.sheet-window {
    z-index: 44444;
    border: 1px solid var(--maincolor) !important;
    box-shadow: 0px 0px 5px var(--maincolor) !important;
    max-height: 600px;
}
.textarea-height {
    height: 250px;
}

.submargin {
    margin-top: 20px;
}
@media (max-width: 767.98px) {
    .main .top-row:not(.auth) {
        display: none;
    }

    .main .top-row.auth {
        justify-content: space-between;
    }

    .main .top-row a, .main .top-row .btn-link {
        margin-left: 0;
    }
}

@media (min-width: 768px) {
    app {
        flex-direction: row;
    }

    .sidebar {
        min-width: 250px;
        height: 100vh;
        position: sticky;
        top: 0;
        /*overflow:hidden;*/
    }

    .main .top-row {
        position: sticky;
        top: 0;
    }

    .main > div {
        padding-left: 2rem !important;
        padding-right: 1.5rem !important;
    }

    .navbar-toggler {
        display: none;
    }

    .sidebar .collapse {
        /* Never collapse the sidebar for wide screens */
        display: block;
    }
}
.checkboxbordercolor {
    border-color: #D3D3D3;
}
.zoomradio li{
    display:flex;
    text-align:center;
    justify-content:flex-end;
}
.zoomradio .k-radio{
    margin-right:10px;
}
.zoomradio .k-radio-label{
  
    text-align:left;
}
